# coding: utf-8

"""
    candidates-attachments-api

    The Candidate APIs allows you to add, update and delete candidate attachments.  # noqa: E501

    OpenAPI spec version: 1.0.0
    
    Generated by: phenom
"""

import pprint
import re  # noqa: F401

import six

class Attachment(object):
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'attachments': 'list[AttachmentAttachments]',
        'message': 'str',
        'status': 'int'
    }

    attribute_map = {
        'attachments': 'attachments',
        'message': 'message',
        'status': 'status'
    }

    def __init__(self, attachments=None, message=None, status=None):  # noqa: E501
        """Attachment - a model defined in Swagger"""  # noqa: E501
        self._attachments = None
        self._message = None
        self._status = None
        self.discriminator = None
        if attachments is not None:
            self.attachments = attachments
        if message is not None:
            self.message = message
        if status is not None:
            self.status = status

    @property
    def attachments(self):
        """Gets the attachments of this Attachment.  # noqa: E501

        Array of attachment items.  # noqa: E501

        :return: The attachments of this Attachment.  # noqa: E501
        :rtype: list[AttachmentAttachments]
        """
        return self._attachments

    @attachments.setter
    def attachments(self, attachments):
        """Sets the attachments of this Attachment.

        Array of attachment items.  # noqa: E501

        :param attachments: The attachments of this Attachment.  # noqa: E501
        :type: list[AttachmentAttachments]
        """

        self._attachments = attachments

    @property
    def message(self):
        """Gets the message of this Attachment.  # noqa: E501

        Description or message providing details about the response.  # noqa: E501

        :return: The message of this Attachment.  # noqa: E501
        :rtype: str
        """
        return self._message

    @message.setter
    def message(self, message):
        """Sets the message of this Attachment.

        Description or message providing details about the response.  # noqa: E501

        :param message: The message of this Attachment.  # noqa: E501
        :type: str
        """

        self._message = message

    @property
    def status(self):
        """Gets the status of this Attachment.  # noqa: E501

        Status code of the response.  # noqa: E501

        :return: The status of this Attachment.  # noqa: E501
        :rtype: int
        """
        return self._status

    @status.setter
    def status(self, status):
        """Sets the status of this Attachment.

        Status code of the response.  # noqa: E501

        :param status: The status of this Attachment.  # noqa: E501
        :type: int
        """

        self._status = status

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(Attachment, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, Attachment):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
